# netapp_e_snapshot_volume – NetApp E-Series manage snapshot volumes

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Create, update, remove snapshot volumes for NetApp E/EF-Series storage arrays.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password - / required |  | The password to authenticate with the SANtricity WebServices Proxy or embedded REST API.
api_url - / required |  | The url to the SANtricity WebServices Proxy or embedded REST API.
api_username - / required |  | The username to authenticate with the SANtricity WebServices Proxy or embedded REST API.
full_threshold - | Default: 85 | The repository utilization warning threshold percentage
name - / required |  | The name you wish to give the snapshot volume
repo_percentage - | Default: 20 | The size of the view in relation to the size of the base volume
snapshot_image_id - / required |  | The identifier of the snapshot image used to create the new snapshot volume. Note: You'll likely want to use the netapp_e_facts module to find the ID of the image you want.
ssid - / required |  | storage array ID

state
- / required

Choices:
- absent
- present

Whether to create or remove the snapshot volume

storage_pool_name - / required |  | Name of the storage pool on which to allocate the repository volume.

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

view_mode
- / required

Choices:
- modeUnknown
- readWrite
- readOnly
- __UNDEFINED

The snapshot volume access mode

## Notes

Note

- Only full_threshold is supported for update operations. If the snapshot volume already exists and the threshold matches, then an `ok` status will be returned, no other changes can be made to a pre-existing snapshot volume.

## Examples

    - name: Snapshot volume
      netapp_e_snapshot_volume:
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}/"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"
        state: present
        storage_pool_name: "{{ snapshot_volume_storage_pool_name }}"
        snapshot_image_id: "{{ snapshot_volume_image_id }}"
        name: "{{ snapshot_volume_name }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message Sample: Json facts for the volume that was created.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.